Draft Rotate

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Rotate and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft Move.svg Przesuń poprzedni:
następny: Offset Draft Offset.svg Arrow-right.svg

Draft Rotate.svg Draft Rotate

Lokalizacja w menu
Draft → Rotate
Środowisko pracy
Draft, Arch
Domyślny skrót
R O
Wprowadzono w wersji
0.7
Zobacz także
Draft Move, Draft Array


Opis

Narzędzie Obróć obraca lub kopiuje wybrane obiekty o zadany kąt wokół punktu odniesienia.

Narzędzie Obróć może być używane dla kształtów 2D utworzonych za pomocą Środowisk pracy Draft lub Sketcher, ale może być również używane dla wielu typów obiektów 3D, takich jak te utworzone za pomocą Part lub Arch.

Aby przesuwać obiekty bez obracania, użyj Move. Aby wykonać różne kopie w różnych układach, należy użyć Array, Path Array i PointArray.

Draft Rotate example.jpg

Obracanie jednego obiektu przy użyciu środkowego punktu odniesienia, pomiędzy jednym kątem odniesienia a drugim

.

Jak używać

  1. Wybierz obiekty, które chcesz przesunąć lub skopiować.
  2. Naciśnij przycisk Draft Rotate.svg Obraca wybrane elementy ... lub wciśnij klawisz R a następnie O. Jeśli nie zostanie wybrany żaden obiekt, zostaniesz poproszony o wybranie jednego z nich.
  3. Kliknij pierwszy punkt w oknie widoku 3D, lub wpisz koordynaty i naciśnij Draft AddPoint.svg dodaj punkt. Służy on jako punkt bazowy operacji, tędy przebiegać będzie oś obrotu.
  4. Kliknij drugi punkt w oknie widoku 3D lub wpisz kąt podstawy. Definiuje on linię bazową, która wykona obrót wokół pierwszego punktu.
  5. Kliknij trzeci punkt w oknie widoku 3D lub wpisz kąt obrotu. Określa on obrót linii bazowej, a tym samym obiektów.

Ograniczenia

Podczas obracania obiektu, który jest oparty na Sketch, na przykład, element utworzony za pomocą Środowisk pracy Part Design, (Pad, Revolution, itd.) musisz przesunąć oryginalny szkic. Jeśli przesuniesz obiekt pochodny, powróci on do pozycji zdefiniowanej w szkicu.

Możliwości

  • Naciśnij klawisz X, Y lub Z po punkcie, aby związać kolejny punkt na danej osi.
  • Aby ręcznie wprowadzić współrzędne, po prostu wprowadź liczby, a następnie naciśnij klawisz Enter między każdą składową X, Y i Z. Możesz nacisnąć przycisk Draft AddPoint.svg dodaj punkt, gdy masz wprowadzone żądane wartości do wstawienia punktu.

Pisanie skryptów

Zobacz również: Draft API oraz Podstawy pisania skryptów dla FreeCAD.

Narzędzie Obróć może być używane w makrodefinicjach i z konsoli Python za pomocą następującej funkcji:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Obraca obiekt w punkcie bazowym objectlist o podany kąt.
    • objectlist jest albo pojedynczym obiektem, albo listą obiektów.
    • Jeśli podano punkt bazowy rotacji center, oraz axis, zostaną one użyte; w przeciwnym razie rotacja jest oparta na początku i wokół osi Z.
Kąt obrotu odnosi się do punktu bazowego obiektu co oznacza, że jeśli obiekt zostanie obrócony o 45 stopni, a następnie o kolejne 45 stopni, to w sumie obróci się o 90 stopni w stosunku do swojego pierwotnego położenia.
  • Jeśli copy wynosi True, wówczas utworzone zostaną kopie zamiast wykonania obrotu oryginalnych obiektów.
  • rotatedlist jest zwracany z oryginalnymi obróconymi obiektami, lub z nowymi kopiami.
    • rotatedlist jest albo pojedynczym obiektem, albo listą obiektów, w zależności od elementów wejściowych objectlist.

Przykład:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)
Arrow-left.svg Draft Move.svg Przesuń poprzedni:
następny: Offset Draft Offset.svg Arrow-right.svg